# Manual do Utilizador KDE

&Lauri.Watts; &Lauri.Watts.mail;
2010-09-18
Ambiente de Trabalho K
kdesu
1

# `kdesu`

Executa um programa com privilégios elevados

    kdesu -c  comando -d -f  ficheiro -i  nome do ícone -n -p  prioridade -r -s -t -u  utilizador --noignorebutton --attach  ID

    kdesu Opções Genéricas do KDE Opções Genéricas do Qt

## Descrição

O &kdesu; é uma interface gráfica para o comando de &UNIX; `su` para o Ambiente de Trabalho K. Permite-lhe executar um programa com um utilizador diferente, indicando a senha desse utilizador. O &kdesu; é um programa sem privilégios; utiliza apenas o `su` do sistema.

O &kdesu; tem uma funcionalidade adicional: poderá recordar opcionalmente as senhas para si. Se estiver a usar esta funcionalidade, só terá de indicar uma vez a senha para cada comando.

Este programa pretende ser iniciado a partir da linha de comandos ou a partir de ficheiros `.desktop`.

Dado que o `kdesu` não está mais instalado em `$(kde4-config --prefix)`/bin mas sim em `kde4-config --path libexec` e, por isso, fora da sua `Path`, terá de usar o comando `$(kde4-config --path libexec)`kdesu`` para invocar o `kdesu`.

## Opções

`-c comando`

  Isto indica o comando a ser executado como 'root'. Tem de ser passado um argumento. Assim se, por exemplo, quiser iniciar um novo gestor de ficheiros, iria introduzir na linha de comandos: `$(kde4-config --path libexec)`kdesu`-c &dolphin;```

`-d`

  Mostra informações sobre a depuração.

`-f ficheiro`

  Esta opção permite um uso eficiente do &kdesu; em ficheiros `.desktop`. Isto diz ao &kdesu; para examinar o ficheiro indicado em `ficheiro`. Se este ficheiro puder ser alterado pelo utilizador actual, o &kdesu; irá executar o comando com esse utilizador. Se não puder ser alterado, o comando é executado com o utilizador `utilizador` (o 'root', por omissão).

  O `ficheiro` é avaliado da seguinte maneira: se o `ficheiro` começar com um `/`, é tomado como um nome de ficheiro absoluto. De outra maneira, é tomado como o nome de um ficheiro de configuração global do &kde;.

`-i` nome do ícone

  Indique o ícone a usar na janela da senha. Poderá indicar apenas o nome, sem qualquer extensão.

`-n`

  Não memorizar a senha. Isto desactiva a opção "Guardar a senha" na janela correspondente.

`-p` prioridade

  Indica o valor da prioridade. A prioridade é um número qualquer entre 0 e 100, onde o 100 corresponde à prioridade máxima e o 0 à mínima. O valor por omissão é 50.

`-r`

  Usa o escalonamento em tempo-real.

`-s`

  Pára o servidor do 'kdesu'. Este é o servidor que coloca em 'cache' as senhas bem-sucedidas em segundo plano. Esta funcionalidade também poderá ser desactivada com o `-n`, quando o &kdesu; é executado inicialmente.

`-t`

  Permite enviar o resultado para o terminal. Isto desactiva a memorização de senhas. É largamente usado para efeitos de depuração; se você quiser executar uma aplicação no modo de consola, use o comando "`su`" normal.

`-u` utilizador

  Embora a utilização mais comum do &kdesu; seja correr um comando como super-utilizador, poderá indicar qualquer nome de utilizador e a senha apropriada.

`--noignorebutton`

  Não mostrar um botão para ignorar.

`--attach` ID

  Torna a janela transitória para a aplicação de X indicada com o ID.

## Veja Também

su(1)

Está disponível mais documentação de utilizador detalhada em help:/kdesu (tanto poderá indicar este URL no &konqueror;, como executar ``khelpcenter` `help:/kdesu``).

## Exemplos

Executar o `kfmclient` com o utilizador ze, e mostrar o ícone do &konqueror; na janela de senhas:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

## Autores

O &kdesu; foi criado por Geert Jansen jansen@kde.org e Pietro Iglio iglio@fub.it.